Skip to main content
GET
/
v1
/
workspaces
/
{workspaceUuid}
/
custom-fields
List custom field definitions
curl --request GET \
  --url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "identifier": "industry",
      "key": "industry",
      "name": "Industry",
      "entity_type": "organisation",
      "type": "text",
      "description": "The primary industry of the company.",
      "group": "custom",
      "is_visible": true,
      "source": "manual",
      "rules": [
        {}
      ],
      "is_system": false,
      "options": [
        {}
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your personal access token (PAT) to authenticate

Path Parameters

workspaceUuid
string<uuid>
required

The UUID of the workspace

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

200 - application/json

A list of custom field definitions

success
boolean
Example:

true

data
Custom Field · object[]